Last Comment Bug 547458 - Modern theme needs CSS for about:memory
: Modern theme needs CSS for about:memory
Status: RESOLVED FIXED
: modern
Product: SeaMonkey
Classification: Client Software
Component: Themes (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
Mentors:
about:memory
Depends on: 520364
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-20 11:28 PST by neil@parkwaycc.co.uk
Modified: 2010-05-04 03:07 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (2.45 KB, patch)
2010-04-26 14:49 PDT, Jens Hatlak (:InvisibleSmiley)
neil: review+
Details | Diff | Splinter Review
patch v2 [Checkin: comment 5] (2.35 KB, patch)
2010-05-03 14:52 PDT, Jens Hatlak (:InvisibleSmiley)
jh: review+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2010-02-20 11:28:15 PST
Bug 520364 made it possible for themes to style about:memory
Comment 1 Jens Hatlak (:InvisibleSmiley) 2010-04-26 14:49:23 PDT
Created attachment 441614 [details] [diff] [review]
patch

I mostly just copy-pasted from mozilla/toolkit/components/aboutmemory/content/aboutMemory.css and Modern's about.css. I'm not a Modern expert.
Comment 2 neil@parkwaycc.co.uk 2010-05-03 13:40:03 PDT
Comment on attachment 441614 [details] [diff] [review]
patch

r=me with a couple of nits fixed.

>+h1 {
>+  font-weight: bold;
>+  font-size: x-large;
>+}
Probably unnecessary; see below.

>+h2 {
>+  margin-top: 0;
>+  font-weight: bold;
>+  font-size: large;
>+}
The font-weight is of course unnecessary, since all headers default to bold. I don't see any advantage in changing the default sizes either. We probably need to keep the zero top margin though.

>+.memOverview table {
>+  font-size: 120%;
>+}
about.css uses 110% for something similar.
Comment 3 neil@parkwaycc.co.uk 2010-05-03 14:10:40 PDT
Comment on attachment 441614 [details] [diff] [review]
patch

>+.memOverview table {
.memOverview > table
Comment 4 Jens Hatlak (:InvisibleSmiley) 2010-05-03 14:52:17 PDT
Created attachment 443202 [details] [diff] [review]
patch v2 [Checkin: comment 5]
Comment 5 Jens Hatlak (:InvisibleSmiley) 2010-05-03 15:03:30 PDT
Comment on attachment 443202 [details] [diff] [review]
patch v2 [Checkin: comment 5]

http://hg.mozilla.org/comm-central/rev/475ee6344218

Note You need to log in before you can comment on or make changes to this bug.